<manifest version="1.0" type="device">
    <hal format="hidl" override="true">
        <name>android.hardware.nfc</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.nfc</name>
        <transport>hwbinder</transport>
    </hal>
    <hal format="hidl" override="true">
        <name>android.hardware.radio</name>
        <transport>hwbinder</transport>
        <version>1.2</version>
        <interface>
            <name>IRadio</name>
            <instance>slot1</instance>
            <instance>imsAospSlot1</instance>
            <instance>se1</instance>
            <instance>em1</instance>
        </interface>
        <interface>
            <name>ISap</name>
            <instance>slot1</instance>
        </interface>
        <fqname>@1.4::IRadio/slot1</fqname>
        <fqname>@1.4::IRadio/imsAospSlot1</fqname>
        <fqname>@1.4::IRadio/se1</fqname>
        <fqname>@1.4::IRadio/em1</fqname>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.mtkradio</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IMtkRadioEx</name>
            <instance>mtkSlot1</instance>
            <instance>imsSlot1</instance>
            <instance>mtkSe1</instance>
            <instance>mtkEm1</instance>
            <instance>mtkAssist1</instance>
            <instance>mtkRcs1</instance>
            <instance>mtkCap1</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.huawei.hardware.radio</name>
        <transport>hwbinder</transport>
        <version>2.0</version>
        <interface>
            <name>IRadio</name>
            <instance>slot1</instance>
        </interface>
    </hal>
    <hal format="hidl" override="true">
        <name>vendor.mediatek.hardware.radio_radar</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IRadioRadar</name>
            <instance>slot1</instance>
        </interface>
    </hal>
</manifest>
